Skip to content

Create a ticket for a vulnerability.

POST
/api/ml/data/namespaces/{namespace}/virtual_hosts/{name}/create_ticket
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/ml/data/namespaces/example/virtual_hosts/example/create_ticket \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "jira_issue": { "description": "example", "issue_type": "example", "project": "example", "summary": "example" }, "labels": {}, "name": "example", "namespace": "example", "ticket_tracking_system": "example" }'

Create a ticket for the given vulnerability.

Examples of this operation.

namespace
required
string

Namespace

x-required Namespace for the ticket.

name
required
string

Virtual Host Name

x-required Virtual Host name for current request.

Media typeapplication/json
CreateTicketRequest
object
jira_issue
object
description
description

Optional description.

string
>= 21 characters <= 8096 characters
issue_type
issue_type

Name of the issue type Required: YES.

string
<= 256 characters
project
project

External ID of the project Required: YES.

string
<= 256 characters
summary
summary

Required: YES.

string
<= 8096 characters
labels
labels

Map of string keys and values that can be used to organize and categorize (scope and select) objects as chosen by the user. Values specified here will be used by selector expression.

object
name
Virtual Host Name

Virtual Host name for current request Required: YES.

string
>= 6 characters <= 256 characters
namespace
namespace

Namespace for the ticket

Required: YES.

string
>= 6 characters <= 256 characters
ticket_tracking_system
ticket_tracking_system

The primary identifier (name) of the ticket tracking system system

Required: YES.

string
>= 1 characters <= 256 characters
Examplegenerated
{
"jira_issue": {
"description": "example",
"issue_type": "example",
"project": "example",
"summary": "example"
},
"labels": {},
"name": "example",
"namespace": "example",
"ticket_tracking_system": "example"
}

A successful response.

Media typeapplication/json
CreateTicketResponse
object
errors
errors

Errors related to ticket creation.

Array<object>
ErrorType

Information about a error in API operation.

object
code
string
default: EOK
Allowed values: EOK EPERMS EBADINPUT ENOTFOUND EEXISTS EUNKNOWN ESERIALIZE EINTERNAL EPARTIAL
error_obj
object
type_url

A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one ”/” character. The last segment of the URL’s path must represent the fully qualified name of the type (as in path/google.protobuf.duration). The name should be in a canonical form (e.g., leading ”.” is not accepted).

In practice, teams usually precompile into the binary all types that they expect it to use in the context of Any. However, for URLs which use the scheme HTTP, HTTPS, or no scheme, one can optionally set up a type server that maps type URLs to message definitions as follows:

  • If no scheme is provided, HTTPS is assumed.
  • An HTTP GET on the URL must yield a [google.protobuf.type][] value in binary format, or produce an error.
  • Applications are allowed to cache lookup results based on the URL, or have them precompiled into a binary to avoid any lookup. Therefore, binary compatibility needs to be preserved on changes to types. (Use versioned type names to manage breaking changes.)

Note: this functionality is not currently available in the official protobuf release, and it is not used for type URLs beginning with type.googleapis.com.

Schemes other than HTTP, HTTPS (or the empty scheme) might be used with implementation specific semantics.

string
<= 1024 characters
value

Must be a valid serialized protocol buffer of the above specified type.

string format: byte
>= 3 characters <= 1024 characters
message
message

A human readable string of the error.

string
<= 1024 characters
Example
{
"errors": [
{
"code": "EOK"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example